Subject: Re: bug#47130: 28.0.50; Gnus: mairix doesn't work anymore

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 16 Mar 2021 14:46:46 -0700

On 03/16/21 05:03 AM, Michael Heerdegen wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
>> So maybe you're running into the exact same bug as before, via a
>> different path? :)
>
> Yes, seems so...
>
>> I don't have mairix installed and haven't used it before, let me get
>> things set up and see if I can reproduce the error, using your config
>> etc.
>
> Great, thanks.  I hope it's not my fault at the end.  Tell me if you
> have any question.
>
> Setting up mairix is easy.  You only need to save the .mairixrc.  Note
> that the "mfolder" path is not ~-exanded, however, must be
> /home/user/etc.  "base" is where you stored mails live.
>
> Then run the "mairix" binary and see if it creates an index.  If you
> don't have thousands of messages that will terminate more or less
> instantly.  That's already all.

Well this is embarrassing, I can't get it to do anything at all. I
dumped a bunch of messages in ~/Mail/archive, set up my .mairixrc like:

base=/home/eric/Mail/archive
mfolder=/home/eric/mairix
mh=...
mformat=mh
omit=zz_mairix-*
database=~/.mairixdatabase

I also created the mfolder directory in case mairix wasn't going to do
that for me (what's that actually for?). But running "mairix -v" tells
me "No new messages found", and the ~/.mairixdatabase isn't created.

My messages have numerical file names. Is there anything else I need to
set up?